<?php
ini_set ( 'mssql.textlimit' , '65536' );
ini_set ( 'mssql.textsize' , '65536' );
require ("Conexion/Conexion.php");
require ("lib/lib.php");
$url="http://".$_SERVER['HTTP_HOST'].":".$_SERVER['SERVER_PORT'].$_SERVER['REQUEST_URI'];
if(!isset($_SESSION['WEB2']) || extension($url) == 'php'){
	echo "<script language='JavaScript'>location.href = 'index.php'</script>";
	die();
} else{
	Inactividad();

	if($_GET['Opcion'] != ''){
		$Opcion = $_GET['Opcion'];
		$Nombre = $_SESSION['NombreArchivo'];
		if($Opcion == 1){
			$Nombre = 'Reportes/'.$Nombre;
			header('Content-type: application/xls');
			header('Content-Disposition: attachment; filename="'.$Nombre.'"');
			header("Content-type: text/xls");
			header('Content-Length: '.filesize($Nombre));
			readfile($Nombre);
		}elseif($Opcion == 2){
			$Nombre = 'Reportes/'.$Nombre;
			header('Content-type: application/pdf');
			header('Content-Disposition: attachment; filename="'.$Nombre.'"');
			header('Content-Length: '.filesize($Nombre));
			readfile($Nombre);
		}
		}elseif($Opcion == 5){
			$Nombre = 'Vales.pdf';
			header('Content-type: application/pdf');
			header('Content-Disposition: attachment; filename="'.$Nombre.'"');
			header('Content-Length: '.filesize($Nombre));
			readfile($Nombre);
		}
		elseif($Opcion == 3){
			$Nombre = 'Manual.pdf';
			header('Content-type: application/pdf');
			header('Content-Disposition: attachment; filename="'.$Nombre.'"');
			header('Content-Length: '.filesize($Nombre));
			readfile($Nombre);
		}
		elseif($Opcion == 4){
			$name_file = "Factura".$_SESSION['FacturaID'].".xml";
			
			$FacturaID = $_SESSION['FacturaID'];
			$QueryXML = mssql_query("SELECT XML FROM Factura WHERE FacturaID = '$FacturaID'");
			$row = mssql_fetch_array($QueryXML);
			if($row['XML'] != NULL) {
	
				$Posicion = strpos($row['XML'], '<?xml version="1.0" encoding="UTF-8"?>');
				if($Posicion == '')
					$XML = '<?xml version="1.0" encoding="UTF-8"?>'.$row["XML"];
				else
					$XML = $row["XML"];
				header ("Content-Type: application/xml");
				header("Content-Disposition: attachment; filename=$name_file");
				header("Content-Length: filesize($name_file)");
				header("Content-type: text/xml; charset=utf-8");
				echo $XML; 
				
				$file = fopen($name_file,"w+");
				fwrite($file,'Reportes/'.$XML);
				fclose($file); 
				
				//Eliminar Archivos XML
				$RutaArchivos = str_replace('Reportes/', '', $_SESSION['RutaReportes']);
  				unlink($RutaArchivos.$name_file);
				//copy('C:/Program Files/Apache Group/Apache2/htdocs/WebCargasJQuery/'.$name_file,$_SESSION['RutaReportes']);				 
			}				
		}
	}

?>